<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.55.10.470
Name: Pain Location
Description: Pain Location: Pijnlocatie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153">
   <title>Pain Location</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.470
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.470']]]
Item: (PainLocation)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.470']]]"
         id="d39e12785-false-d33925e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.470']]) &lt;= 1">(PainLocation): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.470']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.470
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.470']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.470']]
Item: (PainLocation)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.470']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.470']]"
         id="d39e12808-false-d33942e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(PainLocation): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.html"
              test="string(@moodCode) = ('EVN')">(PainLocation): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.470']) &gt;= 1">(PainLocation): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.470'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.470']) &lt;= 1">(PainLocation): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.470'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.html"
              test="count(hl7:code[(@code = '279001004' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(PainLocation): element hl7:code[(@code = '279001004' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.html"
              test="count(hl7:code[(@code = '279001004' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(PainLocation): element hl7:code[(@code = '279001004' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.html"
              test="count(hl7:value) &lt;= 1">(PainLocation): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.470
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.470']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.470']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.470']
Item: (PainLocation)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.470']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.470']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.470']"
         id="d39e12814-false-d34003e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PainLocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.55.10.470')">(PainLocation): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.55.10.470' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.470
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.470']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.470']]/hl7:code[(@code = '279001004' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (PainLocation)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.470']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.470']]/hl7:code[(@code = '279001004' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d39e12819-false-d34023e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PainLocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.html"
              test="string(@code) = ('279001004')">(PainLocation): de waarde van code MOET '279001004' zijn. Gevonden: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.html"
              test="@displayName">(PainLocation): attribute @displayName MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.96')">(PainLocation): de waarde van codeSystem MOET '2.16.840.1.113883.6.96' zijn. Gevonden: "<value-of select="@codeSystem"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.470
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.470']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.470']]/hl7:value
Item: (PainLocation)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.470']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.470']]/hl7:value"
         id="d39e12834-false-d34054e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PainLocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
